package com.ozs.base.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ozs.base.domain.BaseProfessional;
import com.ozs.base.domain.vo.BaseProfessionalVo;

import java.util.List;

public interface BaseProfessionalService extends IService<BaseProfessional> {
    List<BaseProfessionalVo> selectBaseProfessionalVo(BaseProfessionalVo baseProfessional);
    List<BaseProfessional> selectBaseProfessional(BaseProfessionalVo baseProfessionalVo);

    void deleteIds(List<Integer> deleteIds);

    String importBaseProfessional(List<BaseProfessional> userList, boolean updateSupport);
}
